Accounts represent Tenants in ShareFile.com - an isolated area in ShareFile.com ShareFile Accounts represent a single customer boundary. Accounts are represented by the subdomain names used for all API calls to sharefile. For example: https://account.sf-api.com/sf/v3/Items will return the top-level folders for an authenticated user in the acme account. In this example, 'account' represents a sub-domain, while 'sf-api.com' represents the top-level-domain or TLD. Because the URL itself contains the subdomain, the Account is always defined implicitly by all API calls. Objects in one account cannot be retrieved by API calls to another account
GET https://account.sf-api.com/sf/v3/Accounts/Branding
Retrievs Branding information about the subdomain account. This operation does not require authentication.
Returns: Branding information for a given sharefile account
PATCH https://account.sf-api.com/sf/v3/Accounts/Branding
Modifies Branding information about the subdomain account. This operation requires authentication.
Returns: Branding information for a given sharefile account
GET https://account.sf-api.com/sf/v3/Accounts/Employees?withRightSignature=false
Retrieves the list of Employees in the Account Employees are named users in the Account.
| withRightSignature | Boolean | Optionally limit to Employees with the CanSendDocumentsForSignature UserRole |
Returns: A Feed containing all Employees Contacts in the account
GET https://account.sf-api.com/sf/v3/Accounts/Clients
Retrieves the list of Clients in the Account. Clients are restricted users of an Account, that can receive and send files to Employees, but have no other permissions besides basic sharing with Employees.
Returns: A Feed containing all Clients in the account
GET https://account.sf-api.com/sf/v3/Accounts/AddressBook?type=type
Retrieves an address book from the account. Address Books are the contacts of Employees and Clients, maintained on a personal or account-wide basis (shared).
| type | String | Defines the type of Address Book to retrieve. Use 'personal' to retrieve the contact list maintained by the authenticated user; 'shared' to retrieve the account-wide list; and 'group' to retrieve the list of distribution groups in the account |
| searchTerm | String | Use if you want server-side searching to happen across email or name |
Returns: A Feed of Contact objects representing the Address Book retrieved
GET https://account.sf-api.com/sf/v3/Accounts/MobileSecuritySettings
Returns the Mobile device configuration settings for this account
Returns: The current mobile security configuration for this account
GET https://account.sf-api.com/sf/v3/Accounts/ProductDefaults
Returns: Account defaults
GET https://account.sf-api.com/sf/v3/Accounts/Preferences
Returns: Account preferences
GET https://account.sf-api.com/sf/v3/Accounts/SSO
Retrieve the Single Sign-on configuration for the Account
| provider | String | Reserved |
| idpEntityId | String | IDP Entity ID |
Returns:
PATCH https://account.sf-api.com/sf/v3/Accounts/SSO
{
"LogoutUrl":"",
"LoginUrl":"https://idp.com/signin",
"IPRestrictions":"+all",
"ForceSSO":true,
"EntityID":"http://account.sf-api.com/saml/info",
"SFEntityID":"http://idp.com/saml/info",
"SPInitatedAuthContext":"exact",
"SPInitatedAuthMethod":"urn:oasis:names:tc:SAML:2.0:ac:classes:PasswordProtectedTransport"
}
Modifies the Single Sign-on Configuration for this account.
| sso | SSOAccountProvider | Modified settings for the SSO configuration. Must be sent in the request body. |
| provider | String | Reserved |
Returns:
POST https://account.sf-api.com/sf/v3/Accounts/SendToEmail?email=email
Sends the list of accounts to the specified email address This operation does not require authentication
| String | Address to send list of accounts |
GET https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains
Retrieve the list of domains that are allowed or disallowed to login.
Whether the list is an allow or disallow list is configured by the AccessControlType property. The domain names are checked against the domains of all the email addresses of the user that attempts to log in to the Account.
Returns: The Login Access Control List of domains for the Account.
GET https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains
Retrieve the list of domains that are allowed or disallowed to have access to folders. Whether the list is an allow or disallow list is configured by the AccessControlType property.
The "DisallowedDomains" list blocks user access to folders by preventing adding a user to distribution groups or folders. The domain names are checked against the domains of all the email addresses of the user. This is an account-wide setting. Note: This does not have any affect on existing folder permissions.
Returns: The Folder Access Control List of domains for the Account, e.g. { "AccessControlType" : "AllowedDomains", "Domains": ["domainA", "domainB"] }
POST https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains
{
"AccessControlType" : "AllowedDomains",
"Domains": ["domainA", "domainB"]
}
| accessControlDomains | AccessControlDomains | The list of domain names |
Returns: The new Login Access Control List of domains for the Account
POST https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains
{
"AccessControlType" : "AllowedDomains",
"Domains": ["domainA", "domainB"]
}
| accessControlDomains | AccessControlDomains | The list of domain names |
Returns: The new Folder Access Control List of domains for the Account
PATCH https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains
{
"AccessControlType" : "AllowedDomains",
"Domains": ["domainA", "domainB"]
}
Merges the specified domains with existing domains in the list, and/or updates the AccessControlType. One of the parameters needs to be specified.
| accessControlDomains | AccessControlDomains | The list of domain names |
Returns: The updated Login Access Control List of domains for the Account
PATCH https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains
{
"AccessControlType" : "AllowedDomains",
"Domains": ["domainA", "domainB"]
}
Merges the specified domains with existing domains in the list, and/or updates the AccessControlType. One of the parameters needs to be specified. It allows to add new domains to the list.
| accessControlDomains | AccessControlDomains | The list of domain names |
Returns: The updated Folder Access Control List of domains for the Account
DELETE https://account.sf-api.com/sf/v3/Accounts/LoginAccessControlDomains
{
"AccessControlType" : "AllowedDomains",
"Domains": ["domainA", "domainB"]
}
Deletes the specified domains from the list.
| accessControlDomains | AccessControlDomains | The list of domain names |
Returns: No content
DELETE https://account.sf-api.com/sf/v3/Accounts/FolderAccessControlDomains
{
"AccessControlType" : "AllowedDomains",
"Domains": ["domainA", "domainB"]
}
Deletes the specified domains from the list.
| accessControlDomains | AccessControlDomains | The list of domain names |
Returns: No content
GET https://g.sharefile.com/sf/v3/Accounts/RequireWebPop?subdomain=userSubdomain&username=usernameOrEmail&singlePlane=false
| subdomain | String | subdomain |
| username | String | email or user ID |
| singlePlane | Boolean | optional, defaults to false |
Returns: RequireWebPopResult
GET https://g.sharefile.com/sf/v3/Accounts/RequireSubdomain?username=usernameOrEmail&singlePlane=false
| username | String | email or user ID |
| singlePlane | Boolean | optional, defaults to false |
Returns: RequireSubdomainResult
POST https://g.sharefile.com/sf/v3/Accounts/FindSubdomain?singlePlane=false
{
"UsernameShort":"usernameShort",
"Password":"pass",
"EmployeeOnly":false
}
Find the user account information based on the short username
| findSubdomainParams | FindSubdomainParams | Parameters passed through the POST body |
| singlePlane | Boolean | Query parameter specifying wheter or not call other control planes if necessary. Optional, defaults to 'false'. |
Returns: FindSubdomainResult
GET https://account.sf-api.com/sf/v3/Accounts/OutlookInformation
Returns: OutlookInformation
GET https://g.sf-api.com/sf/v3/Accounts/SSOInfo?subdomain=subdomain_name
| subdomain | String | subdomain name |
Returns: SSOInfo
GET https://account.sf-api.com/sf/v3/Accounts/Tenants?multiPlane=true
| multiPlane | Boolean | Query parameter specifying whether or not call other control planes if necessary. Optional, defaults to 'false'. |
| partnerAccountId | String | Query parameter specifying partnerAccountId. Optional, defaults to 'null'. |
Returns: List of tenant accounts managed by this partner account, if any
GET https://account.sf-api.com/sf/v3/Accounts/Tenants(id)?$expand=DiskSpace
Returns: Tenant account object requested
GET https://account.sf-api.com/sf/v3/Accounts/Tenants/ZoneUsage?includePartner=false
Get multitenant zone usage information for all tenants of this account. Zone usage can include the partner account's own usage, if requested.
| includePartner | Boolean | Whether this account's multitenant zone usage should be included in the results. |
Returns: Zone usage information for each tenant account
GET https://account.sf-api.com/sf/v3/Accounts/Tenants(parentid)/Zones
| parentid | String | Account ID of tenant account. |
Returns: List of multi-tenant zones assigned to the tenant
PATCH https://account.sf-api.com/sf/v3/Accounts/Preferences
{
"EnableDLP": true,
"PasswordPolicy": {
"MaxAgeDays": 365,
"HistoryCount": 3,
"MinimumLength": 10,
"MinimumNumeric": 2,
"MinimumSpecialCharacters": 0
}
}
Requires Current User to have the AdminAccountPolicies User Role
Returns: AccountPreferences
POST https://account.sf-api.com/sf/v3/Accounts/WebAppAdmin
Returns: Redirection populated with link in Uri field